Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.strategy
Interface LoadStrategy

All Superinterfaces:
  LoadTestRunListener

All Known Implementing Classes:
  AbstractLoadStrategy, BurstLoadStrategy, SimpleLoadStrategy, ThreadCountChangeLoadStrategy, VarianceLoadStrategy

    public interface LoadStrategy

extends LoadTestRunListener

Strategy used by WsdlLoadTest for controlling requests in each thread

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `CONFIGURATION_PROPERTY`

Method Summary
`void` | `addConfigurationChangeListener(java.beans.PropertyChangeListener listener)`
`boolean` | `allowThreadCountChangeDuringRun()`
`org.apache.xmlbeans.XmlObject` | `getConfig()`
`javax.swing.JComponent` | `getConfigurationPanel()`
`java.lang.String` | `getType()`
`void` | `removeConfigurationChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `updateConfig(org.apache.xmlbeans.XmlObject config)`

Methods inherited from interface com.eviware.soapui.model.testsuite.LoadTestRunListener
`afterLoadTest, afterTestCase, afterTestStep, beforeLoadTest, beforeTestCase, beforeTestStep, loadTestStarted, loadTestStopped`

Field Detail

### CONFIGURATION_PROPERTY

    static final java.lang.String CONFIGURATION_PROPERTY

See Also:
  Constant Field Values

Method Detail

### addConfigurationChangeListener

    void addConfigurationChangeListener(java.beans.PropertyChangeListener listener)

### removeConfigurationChangeListener

    void removeConfigurationChangeListener(java.beans.PropertyChangeListener listener)

### getConfig

    org.apache.xmlbeans.XmlObject getConfig()

### getType

    java.lang.String getType()

### getConfigurationPanel

    javax.swing.JComponent getConfigurationPanel()

### updateConfig

    void updateConfig(org.apache.xmlbeans.XmlObject config)

### allowThreadCountChangeDuringRun

    boolean allowThreadCountChangeDuringRun()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.